/*****************************************************************************/
/*                                                                           */
/*  Hyperpanel OS                       File "include/gpio_stm32.h"          */
/*  Declaration of the procedures of the GPIOs'.                             */
/*                                                                           */
/*  Author : JYA                        Last modification : 02/13/2018       */
/*                                                                           */
/*  (c) Copyright Hyperpanel Lab, All Rights Reserved                        */
/*  IDDN.FR.001.320001.*.S.P.1990.000.10000                                  */
/*                                                                           */
/*****************************************************************************/


/*  Some explanations ========================================================


         1  Defines
         2  Structures and typedefs
         3  Public variables
         4  Prototypes of public procedures


*/


#ifndef GPIO_STM32_H                   /* If this file is not already        */
#define GPIO_STM32_H                   /* included, include it.              */

/*
    1    Defines
    ____________
*/



/*
    2    Structures and typedefs
    ____________________________
*/


/*
    3    Public variables
    _____________________
*/

extern const Gpio_desc gpio_desc_stm32      ; /* GPIO low level interface    */
extern       CHAR *gpio_funcs[]             ;
extern const CHAR *const *const gpio_signals[]          ;
extern const CHAR *const *const gpio_unames[]           ;
extern       UINT *gpio_pin_func[]          ;
extern const USHORT gpio_nbbanks            ;

/*
    4    Prototypes of public procedures
    ____________________________________
*/

/* Declaration of the procedures ........................................... */

void  info_stm32          (INT,CHAR***,INT*,CHAR****,CHAR****                );
void  get_cap_stm32       (INT,INT,UINT*                                     );
void  init_stm32          (INT                                               );
void  set_func_stm32      (INT,INT,INT                                       );
void  get_input_stm32     (INT,INT,INT*                                      );
void  set_output_stm32    (INT,INT,INT                                       );
void  set_outcfg_stm32    (INT,INT,INT                                       );
void  get_outcfg_stm32    (INT,INT,INT*                                      );
void  set_pull_stm32      (INT,INT,INT                                       );
void  get_pull_stm32      (INT,INT,INT*                                      );
void  set_otype_stm32     (INT,INT,INT                                       );
void  get_otype_stm32     (INT,INT,INT*                                      );
INT   set_difi_stm32      (INT,INT,UINT,INT,INT,INT                          );
INT   set_irq_stm32       (INT,INT,UINT,INT                                  );


IWORD handlerGPIO_stm32   (IWORD,IWORD                                       );


#endif                                 /* End of GPIO_STM32_H                */
