/*****************************************************************************/
/*                                                                           */
/*  Hyperpanel OS                       File "include/vmiodat.h"             */
/*  Constants and definitions for I/O container data.                        */
/*                                                                           */
/*  Author : PJB                        Last modification : 04/11/2016       */
/*                                                                           */
/*  (c) Copyright Hyperpanel Lab, All Rights Reserved                        */
/*  IDDN.FR.001.320001.*.S.P.1990.000.10000                                  */
/*                                                                           */
/*****************************************************************************/


/*  Some explanations ========================================================


         1  Defines
         2  Structures and typedefs
         3  Public variables
         4  Prototypes of public procedures


*/


#ifndef VMIODAT_H                      /* If this file is not already        */
#define VMIODAT_H                      /* included, include it.              */


/*
    1    Defines
    ____________


         Ce fichier de declaration sert a partager les constantes et les
types qui doivent l'etre entre vmio et son module de donnees vmiodat_xyz.

*/


#define MAXDUR_S              5        /*                                    */
#define MAXDUR_IT             3        /*                                    */


/*
    2    Structures and typedefs
    ____________________________
*/


typedef struct                         /* Une tete de chainage               */
  BEGIN                                /* ---------------------------------- */
    USHORT          nbevt            ; /* Nombre d'evenements dans la file   */
    USHORT          first            ; /* Indice element en tete de file     */
    USHORT          last             ; /* Indice element en queue de file    */
  END               Fah_s            ; /* ---------------------------------- */


/*
    3    Public variables
    _____________________
*/


/*
    4    Prototypes of public procedures
    ____________________________________
*/


#endif                                 /* End of VMIODAT_H.                  */
